Skip to main content
POST
Create Wallet transaction

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

wallet_id
string
required

Wallet ID

Body

application/json

Defines the request object to create a wallet transaction.

type
enum<string>
required

Type of the wallet transaction applied on the wallet. Supported types are TOPUP, VOID.

Available options:
TOPUP,
VOID
Example:

"TOPUP"

paid_credits
string

Number of paid credits to be added. Applicable only to TOPUP type of transaction

Pattern: ^\d+(\.\d+)?$
Example:

"20.0"

credits_to_void
string

Number of credits and Only for type VOID, this field need to be passed in request.

Pattern: ^\d+(\.\d+)?$
Example:

"20.0"

granted_credits
string

Number of granted credits to be added. Applicable only to TOPUP type of transaction

Pattern: ^\d+(\.\d+)?$
Example:

"10.0"

metadata
object[]

List of key-value pair contains the metadata about the wallet transaction.

Response

Wallet transactions created successfully

The get wallet transactions response contains list of wallet transactions for the specified wallet id.

wallet_transactions
object[]

The list of wallet transactions for the specified wallet id

meta
object